SRU request: fglrx.ko fails because of backported GPL-only 'pci_ignore_hotplug' symbol

Bug #1479913 reported by dazza5000 on 2015-07-30
This bug affects 334 people
Affects Status Importance Assigned to Milestone
HWE Next
High
Alberto Milone
fglrx-installer (Ubuntu)
High
Alberto Milone
Trusty
High
Alberto Milone
Vivid
High
Alberto Milone
fglrx-installer-updates (Ubuntu)
High
Alberto Milone
Trusty
High
Alberto Milone
Vivid
High
Alberto Milone

Bug Description

[Impact]
An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and to the default kernel in Vivid, pulled in a commit that made pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.

[Test Case]
Install the new packages and check that DKMS doesn't fail.

[Regression Potential]
Low, the patches are already included wily.

__________________________________

Have no idea what happened. Contact me if you need additional details.

ProblemType: Package
DistroRelease: Ubuntu 15.04
Package: fglrx-core 2:15.200-0ubuntu4.1
ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
Uname: Linux 3.19.0-25-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 2.17.2-0ubuntu1.2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
DKMSKernelVersion: 3.19.0-26-generic
Date: Thu Jul 30 12:05:59 2015
DistUpgraded: Fresh install
DistroCodename: vivid
DistroVariant: ubuntu
DkmsStatus:
 fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
 vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
 vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870] [1002:6738] (prog-if 00 [VGA controller])
   Subsystem: Hightech Information System Ltd. Device [1787:2010]
InstallationDate: Installed on 2012-09-16 (1046 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120905.2)
MachineType: BIOSTAR Group A770E3
PackageVersion: 2:15.200-0ubuntu4.1
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.19.0-25-generic root=/dev/mapper/ubuntu-root ro radeon.nomodeset=1 radeon.dpm=1 crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
RelatedPackageVersions:
 dpkg 1.17.25ubuntu1
 apt 1.0.9.7ubuntu4.1
SourcePackage: fglrx-installer
Title: fglrx-core 2:15.200-0ubuntu4.1: fglrx-core kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/21/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 080014
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: A770E3
dmi.board.vendor: BIOSTAR Group
dmi.chassis.asset.tag: None
dmi.chassis.type: 3
dmi.chassis.vendor: BIOSTAR Group
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr080014:bd04/21/2010:svnBIOSTARGroup:pnA770E3:pvr:rvnBIOSTARGroup:rnA770E3:rvr:cvnBIOSTARGroup:ct3:cvr:
dmi.product.name: A770E3
dmi.sys.vendor: BIOSTAR Group
version.compiz: compiz 1:0.9.12.1+15.04.20150410.1-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.62+git1507210630.293f8f~gd~u
version.libgl1-mesa-dri: libgl1-mesa-dri 10.7~git1507230730.2ca1f7~gd~u
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.7~git1507230730.2ca1f7~gd~u
version.xserver-xorg-core: xserver-xorg-core 2:1.17.1-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Thu Jul 30 09:44:01 2015
xserver.configfile: default
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.17.1-0ubuntu3
xserver.video_driver: fglrx

dazza5000 (darran-kelinske) wrote :
summary: fglrx-core 2:15.200-0ubuntu4.1: fglrx-core kernel module failed to build
+ [FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol
+ 'pci_ignore_hotplug']

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
MatthewHawn (steamraven) wrote :

Caused by kernel changing export of function pci_ignore_hotplug to a GPL export in drivers/pci/pci.c. Also affects kernel 4.1.3. The fix requires working around calling pci_ignore_hotplug in kcl_acpi.c, line 864.

--- kcl_acpi.c 2015-07-31 11:29:12.258116934 -0600
+++ /var/lib/dkms/fglrx-core/15.200/source/kcl_acpi.c 2015-07-31 11:33:43.582122028 -0600
@@ -861,7 +861,10 @@
 #elif LINUX_VERSION_CODE >= KERNEL_VERSION(3,17,0)
     if(pdev)
     {
- pci_ignore_hotplug(pdev);
+ pdev->ignore_hotplug = 1;
+ if ( pdev->bus->self)
+ pdev->bus->self->ignore_hotplug = 1;
     }
 #endif
 }

MatthewHawn (steamraven) wrote :

Caused by kernel patch: PCI: Propagate the "ignore hotplug" setting to parent

Everything you say may be helpful but please do take the time, no matter how painstaking it is, to explain in a way that noobs can benefit from it cause all I'm thinking is "ok that might help but how do i do that?"

Dan Ștefan Stroe (stroestefan) wrote :

I have added your patch with quilt, but repackaging with the following:

debuild -us -uc

gave me the following error:

...
/bin/sh: -c: line 2: unexpected sintax error near `done'
/bin/sh: -c: line 2: `done'
debian/rules:268: recipe for target 'pre-binary-arch' failed
make: *** [pre-binary-arch] Error 1
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
debuild: fatal error at line 1376:
dpkg-buildpackage -rfakeroot -D -us -uc failed

Any ideas how to treat this ?
Regards

Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
Somberlain (somberlain218) wrote :

mkdir catalyst15.7 && cd catalyst15.7
apt-get download fglrx-core
dpkg-deb -R fglrx-core_2%3a15.200-0ubuntu4.1_amd64.deb fglrx-core
patch fglrx-core/usr/src/fglrx-core-15.200/kcl_acpi.c < fix.diff
dpkg-deb -b fglrx-core fglrx-core_2%3a15.200-0ubuntu4.1_amd64_fixed.deb
dpkg -i fglrx-core_2%3a15.200-0ubuntu4.1_amd64_fixed.deb

Dan Ștefan Stroe (stroestefan) wrote :

Solved - solution based on many pages like:

http://cs-people.bu.edu/doucette/xia/guides/debian-patch.txt
https://wiki.debian.org/UsingQuilt
(and many more I forgot ... sorry)

So, I will try to write some quick steps so you can build your own fglrx-installer-updates package until properly released:

1. Get needed tools installed:
sudo apt-get install quilt
sudo apt-get install devscripts

2. Get the sources and build dependencies:
apt-get source fglrx-updates-core
apt-get build-dep fglrx-updates-core

3. Start patching:
Change into src dir (or whatever it is named):
cd fglrx-installer-updates-15.200
Push all existing patches:
quilt push -a
Create a new patch (or import MatthewHawn (steamraven) 's one - see quilt reference above).
So you took the edit way - here it is:
quilt new kcl_acpi.diff
Add a new file to modify:
quilt add lib/modules/fglrx/build_mod/kcl_acpi.c
Edit the file and apply MatthewHawn (steamraven) 's patch (or use the diff - any way you're confortable with):
nano lib/modules/fglrx/build_mod/kcl_acpi.c
Refresh quilt:
quilt refresh
Unapply all patches:
quilt pop -a
Give it a version and txt:
dch -i
Now you need to edit some more (I coulden't package it without editing - and quilt could not help me anymore):
nano debian/rules

line 435:
- done \
+ done; \

line 440:
- execstack -q $$i && execstack -c $$i || true; done; \
+ execstack -q $$i && execstack -c $$i || true; \

line 445:
- execstack -q $$i && execstack -c $$i; done; \
+ execstack -q $$i && execstack -c $$i; \

line 450:
- execstack -q $$i && execstack -c $$i; done; \
+ execstack -q $$i && execstack -c $$i; \

Save it and run:
debuild -us -uc

4. Install:
cd ..
dpkg -i fglrx-updates-core fglrx-updates fglrx-amdcccle-updates

Sorry for the brevity - I write on the run atm. and kinda retracing from memory - I hope I didn't skip / barf something :)
I am running the modified version and I can confirm that it works for me :)
Thank you MatthewHawn (steamraven) for providing the proper patch - I missed graphical interface :D
Regards

The attachment "fix.diff" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch

I tried what you suggested Dan. But I'm getting this error

alfrescopain24@HellsKitchen:~/fglrx-installer-updates-14.201$ debuild -us -uc
 dpkg-buildpackage -rfakeroot -D -us -uc
dpkg-buildpackage: source package fglrx-installer-updates
dpkg-buildpackage: source version 2:14.201-0ubuntu2
dpkg-buildpackage: source distribution utopic
dpkg-buildpackage: source changed by Alberto Milone <email address hidden>
 dpkg-source --before-build fglrx-installer-updates-14.201
dpkg-buildpackage: host architecture amd64
dpkg-source: info: applying call-amdcccle-with-full-path.diff
dpkg-source: info: applying kcl_acpi.diff
dpkg-checkbuilddeps: Unmet build dependencies: dh-modaliases xserver-xorg-dev (>= 2:1.10.0) execstack
dpkg-buildpackage: warning: build dependencies/conflicts unsatisfied; aborting
dpkg-buildpackage: warning: (Use -d flag to override.)
debuild: fatal error at line 1376:
dpkg-buildpackage -rfakeroot -D -us -uc failed

Can you please tell me what I did wrong? I followed your instructions but I didnt know how to do the
dch -i
and not entirely sure I applied the patch correctly ( I just copy pasted the fix.diff into the file after the
"nano lib/modules/fglrx/build_mod/kcl_acpi.c" command)

I repacked and tried everything once again :) thanks so much it works!!!!

Horusint (horusint) wrote :

Hi,

can any share Compiled Deb packages with Patch. Regards.

MatthewHawn (steamraven) wrote :

For those looking for a fix without having to patch and recompile: revert your kernel to 3.19.0.25. The problem is caused by linux-image-generic version 3.19.0.26-25. Please downgrade to 3.19.0.25-26. (pay very careful attention to the last two sets of numbers)

This may help: http://askubuntu.com/questions/138284/how-to-downgrade-a-package-via-apt-get

Also note, this kernel seems to only available if you have the "proposed" repository selected. This repository is only for pre-releases and may contain problems such as this bug and may not be appropriate.

MatthewHawn (steamraven) wrote :

I apologize. You want to downgrade to linux-image-generic 3.19.0.25.24.

MatthewHawn (steamraven) wrote :

Thank you Dan Ștefan Stroe (stroestefan) and Somberlain (somberlain218) for cleaning up my patch and giving more instructions. However, since this is a patch to a dkms module, I believe the proper way is to add it to dkms patches directory and modify dkms.conf.in. This way the original, proprietary code is distributed unchanged, and the patch is applied when the dkms module is built on install. I am not a dpkg expert, though...

You can use the attached patch thus:

sudo apt-get build-dep fglrx-installer-updates
apt-get source fglrx-installer-updates
cd fglrx-installer-updates-15.200
patch -p1 < ../fglrx_ignore_hotplug.diff
dpkg-buildpackage -rfakeroot -uc -us -b
sudo dpkg -i ../fglrx-updates-core_15.200-0ubuntu0.3_amd64.deb

This should generate a new fglrx-updates-core package in the parent directory. When installed, it will call dkms build, which will apply the patch and build the kernel module.

You can check dkms with
sudo dkms status

and to rebuild (should have been done by the above install)

sudo dkms remove fglrx-updates-core/15.200 -k 3.19.0-26-generic
sudo dkms build fglrx-updates-core/15.200 -k 3.19.0-26-generic
sudo dkms install fglrx-updates-core/15.200 -k 3.19.0-26-generic
sudo update-initramfs -k 3.19.0-26-generic -u

Disclaimer: This is patching kernel modules. Here Be Dragons. This may make your computer unbootable. This may blow up your computer and all your files. This may kill your cat. Make sure you have adequate backups, time, and access to a linux expert (yourself or friend) before attempting

Plaiasu Costin (cplaiasu) wrote :

Thanks so much, it works.
Horusint, it this will help you, please find here compiled deb packages: https://www.mediafire.com/?6rtlx30527v4l

Horusint (horusint) wrote :

Thanks Costin, Now I try mentioned steps from Steamraven, and its Works.

I sharing this solution on https://horusint.wordpress.com/2015/08/03/compilar-fglrx-15-200-en-ubuntu-15-04-vivid-kernel-3-19-0-26-25/

Regards.

Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed
importance: Undecided → High

Last night after applying the patch my computer worked like a charm and I was even able to play DotA 2 and get a very good fps but this morning after a restart the whole thing went bad again... I don't know if it was me or if it was my compilation but it's so laggy now that even Mozilla hangs my PC on multiple tabs (4-5) usually I would be able to open at least 16 tabs with no problem at all just the occasional hang. Please can somebody help me?

I tried the downgrade too... Apparently 3.19.0.25.24 isn't known... Only a 3.19.0.25 is available... Is that the same thing?

Downgrade didn't work for me either... When I loaded into the kernel my usb ports didn't work, no sound, no internet and no graphics... I'll try the dkm module patch

I don't wanna go back to windows cause ubuntu suits me very well... Please someone help...

Plaiasu Costin (cplaiasu) wrote :

Hi Fem Hugibert R Marak,

Did you tried compiled deb packages from here?

https://www.mediafire.com/?6rtlx30527v4l

upgrade to latest kernel if downgrade was not OK and
sudo apt-get remove fglrx-updates --purge
download compile packages and install them, I hope it will help you

Actually I did this,
https://www.youtube.com/watch?v=CNi8GZVSrTs
And it worked!! It might be because my patch was already applied but I'm not sure because I only applied it to the deb package. But my graphics is fine now. I even got the Catalyst Control Centre to work again!

Sorry sorry wrong link. It's actually this one.
https://www.youtube.com/watch?v=Ka5gBMlo-zo

I'll try that link you sent me if this one fails me too.... For now everything looks ok... I'll get back to you after I check out the gaming

Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu Trusty):
status: New → In Progress
Changed in fglrx-installer (Ubuntu Trusty):
status: New → In Progress
Changed in fglrx-installer (Ubuntu Vivid):
status: New → Triaged
Changed in fglrx-installer-updates (Ubuntu Vivid):
status: New → Triaged
Changed in fglrx-installer (Ubuntu Trusty):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu Vivid):
importance: Undecided → High
Changed in fglrx-installer-updates (Ubuntu Trusty):
importance: Undecided → High
Changed in fglrx-installer-updates (Ubuntu Vivid):
importance: Undecided → High
Changed in fglrx-installer-updates (Ubuntu Trusty):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu Vivid):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Trusty):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Vivid):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Fix Released
Changed in fglrx-installer-updates (Ubuntu):
status: Confirmed → Fix Released
Timo Aaltonen (tjaalton) on 2015-08-14
Changed in fglrx-installer-updates (Ubuntu Vivid):
importance: High → Critical
importance: Critical → High
description: updated
summary: - fglrx-core 2:15.200-0ubuntu4.1: fglrx-core kernel module failed to build
- [FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol
- 'pci_ignore_hotplug']
+ SRU request: fglrx.ko fails because of backported GPL-only
+ 'pci_ignore_hotplug' symbol
description: updated
nugmanov ramil (nougmanoff) wrote :

today I upgraded 14.04.3 (apt-get dist-upgrade)
and I'm getting bug again.
last time I fixed it by patching fglrx by https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1479913/comments/16 manual.
at this time I downgrade fglrx to patched version.

Nicolas Delvaux (malizor) wrote :

Kernel 3.19.0-26.28 was pushed as a security update to all Ubuntu users today (it is no longer in the, disabled by default, "proposed" repository).
This means all FGLRX users on Vivid (and those that installed 14.04.2) will lose their graphical environment as soon as they reboot.

The only workaround is to select the former kernel in Grub. Patching the DKMS module manually is possible, but we can't expect the typical Ubuntu user to do such a thing.

I don't know who is to blame, but I hope I'm not the only one to think this is a serious situation.

Otus (jan-varho) wrote :

Maybe this is a stupid question, but why is a DKMS failure not considered "fatal" enough to prevent the kernel upgrade from taking place, or at least updating grub?

Hello drizzle, or anyone else affected,

Accepted fglrx-installer into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer/2:15.200-0ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer (Ubuntu Vivid):
status: Triaged → Fix Committed
tags: added: verification-needed
Timo Aaltonen (tjaalton) wrote :

Hello drizzle, or anyone else affected,

Accepted fglrx-installer-updates into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:15.200-0ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer-updates (Ubuntu Vivid):
status: Triaged → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello drizzle, or anyone else affected,

Accepted fglrx-installer-updates into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:15.200-0ubuntu0.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer-updates (Ubuntu Trusty):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton) on 2015-08-18
Changed in fglrx-installer (Ubuntu Trusty):
status: In Progress → Fix Committed
nugmanov ramil (nougmanoff) wrote :

2:15.200-0ubuntu0.5
#verification-done

Building initial module for 3.19.0-26-generic
Done.

Building initial module for 3.19.0-27-generic
Done.

Thank you!

Nash (nash-t) wrote :

2:15.200-0ubuntu4.2
#verification-done

https://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:15.200-0ubuntu4.2

Building initial module for 3.19.0-26-generic
Done.

Finally, it works again.

brianM (brian-openitca) wrote :

Thanks - this is now fixed for me.
Still hard to understand how 2 kernels have come out over a week with this bug which must have effected thousands of users. Novice users who do not know how to boot to a previous kernel now have a bricked installation and may never return to linux. Surely there should be some basic testing of each kernel release against major video drivers

Giacomo Tazzari (giact) wrote :

2:15.200-0ubuntu4.2 fixed it for me

On a side note, on my system (Xubuntu 15.04, Radeon HD 5670), this bug did not cause any bricking: X went up even without fglrx drivers.

Nicolas Delvaux (malizor) wrote :

Well, the new FGLRX is only in proposed, so most users are still affected. The only sane option in my point of view would be to release a new kernel without the patch that broke things originally.
Don't forget that the fix here does nothing for people that installed FGLRX directly from the AMD website...

@Giacomo: here, with a HD 7970, I'm stuck on the login screen (I log-in, the screen flicker and I'm back at the login screen). I guess the "brokenness" depends on the video card.

Rich.T. (rich.t.) wrote :

Hi,

I've been following this all day and helping to collect up the duplicates, but still haven't fixed the problem; in fact, it's gotten worse since I enabled the Proposed repository and upgraded:

Before, I was getting the login screen, but getting bounced back as soon as I entered the password, however, now I am getting the login screen with just a flashing cursor, no keyboard or mouse, then after a few seconds it locks up completely and I have to press the reset button to reboot.

I am using the 3.19.0-25-generic kernel right now and my display adaptor is a Barts XT [Radeon HD 6870].

Download full text (5.3 KiB)

I normaly log-in wthout username and password but now the screen is everytime comming back to ask my log-in code how can I manage this?

Verzonden met Windows Mail

Van: Nicolas Delvaux
Verzonden: ‎dinsdag‎ ‎18‎ ‎augustus‎ ‎2015 ‎16‎:‎11
Aan: Marius van Harten

Well, the new FGLRX is only in proposed, so most users are still affected. The only sane option in my point of view would be to release a new kernel without the patch that broke things originally.
Don't forget that the fix here does nothing for people that installed FGLRX directly from the AMD website...

@Giacomo: here, with a HD 7970, I'm stuck on the login screen (I log-in,
the screen flicker and I'm back at the login screen). I guess the
"brokenness" depends on the video card.

--
You received this bug notification because you are subscribed to a
duplicate bug report (1485930).
https://bugs.launchpad.net/bugs/1479913

Title:
  SRU request: fglrx.ko fails because of backported GPL-only
  'pci_ignore_hotplug' symbol

Status in fglrx-installer package in Ubuntu:
  Fix Released
Status in fglrx-installer-updates package in Ubuntu:
  Fix Released
Status in fglrx-installer source package in Trusty:
  Fix Committed
Status in fglrx-installer-updates source package in Trusty:
  Fix Committed
Status in fglrx-installer source package in Vivid:
  Fix Committed
Status in fglrx-installer-updates source package in Vivid:
  Fix Committed

Bug description:
  [Impact]
  An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and to the default kernel in Vivid, pulled in a commit that made pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.

  [Test Case]
  Install the new packages and check that DKMS doesn't fail.

  [Regression Potential]
  Low, the patches are already included wily.

  __________________________________

  Have no idea what happened. Contact me if you need additional details.

  ProblemType: Package
  DistroRelease: Ubuntu 15.04
  Package: fglrx-core 2:15.200-0ubuntu4.1
  ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
  Uname: Linux 3.19.0-25-generic x86_64
  NonfreeKernelModules: fglrx
  .tmp.unity.support.test.0:

  ApportVersion: 2.17.2-0ubuntu1.2
  Architecture: amd64
  CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  DKMSKernelVersion: 3.19.0-26-generic
  Date: Thu Jul 30 12:05:59 2015
  DistUpgraded: Fresh install
  DistroCodename: vivid
  DistroVariant: ubuntu
  DkmsStatus:
   fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
   vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
   vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870] [1002:6738] (prog-if 00 [VGA controller])
     Subsystem: Hightech Information System Ltd. Device [1787:2010]
  InstallationDate: Installed on 2012-09-16 (1046 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (2...

Read more...

Changed in fglrx-installer (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
QIII (qiii) wrote :

That this bug was found in proposed and not fixed before it was moved out of proposed to the main repo brings to mind one of two words. You may take your pick:

Asinine
Incompetent

QIII (qiii) wrote :

That this was changed from High to Critical then back down to High when it affects an entire class of users and renders their systems unusable brings to mind two words. You may take your pick:

Asinine
Incompetent

Rich.T. (rich.t.) wrote :

To confirm, I just checked; I definitely have 2:15.200-0ubuntu4.2 installed:

"term.log"

...

fglrx:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.19.0-25-generic/updates/dkms/

depmod....

DKMS: install completed.
Building initial module for 3.19.0-26-generic
Done.

fglrx:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.19.0-26-generic/updates/dkms/

depmod....

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Setting up fglrx (2:15.200-0ubuntu4.2) ...
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken
Setting up fglrx-amdcccle (2:15.200-0ubuntu4.2) ...

...

To make doubly sure, I just purged, rebooted and reinstalled linux-headers-3.19.0-26 linux-headers-3.19.0-26-generic linux-image-3.19.0-26-generic

Same result as mentioned in my last post: The kernel installed with no errors, but the driver is still (very) broken.

Changed in fglrx-installer (Ubuntu):
assignee: nobody → ferariu napoleon (darks2810)
brianM (brian-openitca) wrote :

To add to my comment #35 above:

I use the Proposed Updates (to help with bugs) so don't known how the main branch has been effected. As the default driver didn't work on my A10 machine I had to install fglrx from the terminal (ctl+alt+f1) at initial install. Since this bug I have had to boot back to the "25" kernel (using grub advanced options) until the fix today. The "low graphics" fallback screen that comes up on no proper gui boot I have found to be useless. Hope this helps re some of users still having trouble

I

Adam Kaminski (thimslugga) wrote :

I believe I just ran into this on my A10 system. I've went ahead and rolled back to linux-3.19.0-25 but I'm not sure why -26 was even pushed out if it was known to have issues...

FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'pci_ignore_hotplug'
scripts/Makefile.modpost:90: recipe for target '__modpost' failed
make[2]: *** [__modpost] Error 1
Makefile:1397: recipe for target 'modules' failed
make[1]: *** [modules] Error 2
make[1]: Leaving directory '/usr/src/linux-headers-3.19.0-26-generic'
Makefile:88: recipe for target 'kmod_build' failed
make: *** [kmod_build] Error 2
build failed with return value 2

Zach (tundra35) wrote :

I'm pretty new to Linux. I'm learning my way around but 3.19-0.25 worked great for me on 14.04 installing .26 gives me fglrx core errors along with a login loop. I'm glad I learned how to use grub and go back.

2:15.200-0ubuntu4.2
#verification-done

The build succeeds now.

   " fix.diff Edit (395 bytes, text/plain)

mkdir catalyst15.7 && cd catalyst15.7
apt-get download fglrx-core
dpkg-deb -R fglrx-core_2%3a15.200-0ubuntu4.1_amd64.deb fglrx-core
patch fglrx-core/usr/src/fglrx-core-15.200/kcl_acpi.c < fix.diff
dpkg-deb -b fglrx-core fglrx-core_2%3a15.200-0ubuntu4.1_amd64_fixed.deb
dpkg -i fglrx-core_2%3a15.200-0ubuntu4.1_amd64_fixed.deb"

This from somberlain, post #7 worked for me, if you are using fglrx updates then the package name will have to be changed to fglrx-updates-core. After you do this, you may need to reinstall or install fglrx-updates, and fglrx-amdcccle-updates.

David Martinka (mainmachine) wrote :

#verification-done

updated fglrx from -proposed Worked for me on 15.04

Zeioth (zeioth) wrote :

Confirmed, enabling proposed repositories, the problem is solved. Xubuntu 15.04, fglrx.

QIII (qiii) wrote :

Enabling -proposed without pinning may cause you to end up downloading and updating other packages you don't want. This is not "fixed" until there is no need for -proposed.

This morning's 15.04 updates broke two of my machines as well. After much hair-pulling I found this bug report.

Enabling 'proposed' and updating to the kernel contained therein, or switching to the -15 kernel is enough to get the driver to build.

However, in both cases, attempting to enable multi-screen mode via amdcccle (with screen 1 right of screen 2) causes X to crash severely, as soon as you hit "OK" or "Apply".

Both screen go into standby mode, the disk access light goes solid, and the system hard-locks (can't SysRq-REISUB).

The Reset button is the only way to recover from this state, and the dual-screen mode never got saved.

This is a fresh install of 15.04, with a "put all my stuff in" script, hence it's theoretically identical to what was installed initially, aside from enabling "proposed" for this attempt.

This is on a machine that has run fglrx without incident from roughly 12.04 to whatever state 15.04 was in at the end of the day yesterday.

The open source driver works fine in all respects, aside from being slower than fglrx on this hardware.

Chemtox (chemtox) wrote :

Proposed updates fixed this for me in Kubuntu, but I also had to re-enable OpenGL in System Preferences > Screen and Monitor > Compositor.

Rich.T. (rich.t.) wrote :

"However, in both cases, attempting to enable multi-screen mode via amdcccle (with screen 1 right of screen 2) causes X to crash severely, as soon as you hit "OK" or "Apply"."

This is the screen setup I have and so is probably the reason that my system hangs, solid, right at the login screen, when I boot into 3.19.0-26.

I will disable muliti-screen, reboot and report back.

Also: As I have said; I have been collecting up the duplicates whenever I visit and so would like to ask: Are all the bug reports with the lines

Title: fglrx-core 2:15.200-0ubuntu4: fglrx-core kernel module failed to build
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)

also this bug?

 I am not sure and have so far avoided adding them as duplicates, in favour of just pulling in the ones which either don't have an error stated outright, or have the 'pci_ignore_hotplug' flagged.

Sorry, I'm new to this, want to help and don't want to cause any damage or further work for the already overworked.

Could one of the mods or triage-rs please write an article about this for Linux Voice and the Podcasts, etc. in order to help the community to help you in the event of this sort of thing happening again. LV would definitely pay you for a well written piece about this and your employers may well do the same, as well as giving you time during work hours for the effort.

Please give this some thought and do pass on this sentiment to others who know what they are doing here, as this may help allay any bad publicity which may result from this mistake.

Thanks,
Rich

Changed in fglrx-installer (Ubuntu):
assignee: ferariu napoleon (darks2810) → Alberto Milone (albertomilone)
Janus (reslayer-mail) wrote :

I know this may be an useless comment, but I managed to get here only when I selected another kernel and found fglrx working.

I found weird Xorg log, found weird DKMS module build log (yes, why doesn't APT get an error on building? We could notice the disaster far, far earlier!), selected to let apport report an error and found this one already reported (I restart my machine once a month or like that usually, so no idea when I'd run into that other way.

It took several hours of going in almost blind (I installed updates, not much other stuff — what could be my path if I changed many packages in the system, I only could guess), my luck was that I want to found the answer. Not willing that thing to any novice, seriously.

#verification-done

updated from proposed to fglrx-updates 2:15.200-0ubuntu0.5 worked for me on 14.04.3

John Schroeder (jschroed) wrote :

I updated to the 3.19.0-26 kernel today and the fglrx-core package failed to install when dkms tried to install it. Switching to the fglx packages here in the proposed branch solved my issue. It would seem that these packages need to be promoted from the proposed branch since others will have issues with upgrading to the kernel. (Booting to the old kernel did not work. I guess that when the dkms failed to run for the new kernel, it also didn't run for the old kernel.)

timor (timor) wrote :

Same problem here - please promote those packages quickly.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:15.200-0ubuntu4.2

---------------
fglrx-installer (2:15.200-0ubuntu4.2) vivid-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

fglrx-installer (2:15.200-0ubuntu4.1) vivid-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle-updates.dirs.in:
    - Rename the template to debian/fglrx-amdcccle.dirs.in, so that
      the correct file can be regenerated.
  * debian/fglrx-amdcccle.preinst.in:
    - Make sure to remove amdcccle to ensure a smooth transition
      on dist-upgrade.

 -- Alberto Milone <email address hidden> Tue, 18 Aug 2015 11:13:16 +0200

Changed in fglrx-installer (Ubuntu Vivid):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) on 2015-08-19
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:15.200-0ubuntu4.2

---------------
fglrx-installer-updates (2:15.200-0ubuntu4.2) vivid-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

fglrx-installer-updates (2:15.200-0ubuntu4.1) vivid-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle.preinst.in:
    - Make sure to remove amdcccle to ensure a smooth transition
      on dist-upgrade.

 -- Alberto Milone <email address hidden> Tue, 18 Aug 2015 11:30:34 +0200

Changed in fglrx-installer-updates (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for fglrx-installer-updates has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:15.200-0ubuntu0.5

---------------
fglrx-installer (2:15.200-0ubuntu0.5) trusty-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

fglrx-installer (2:15.200-0ubuntu0.4) trusty-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle-updates.dirs.in:
    - Rename the template to debian/fglrx-amdcccle.dirs.in, so that
      the correct file can be regenerated.

 -- Alberto Milone <email address hidden> Mon, 17 Aug 2015 16:48:12 +0200

Changed in fglrx-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:15.200-0ubuntu0.5

---------------
fglrx-installer-updates (2:15.200-0ubuntu0.5) trusty-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

fglrx-installer-updates (2:15.200-0ubuntu0.4) trusty-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.

 -- Alberto Milone <email address hidden> Mon, 17 Aug 2015 17:02:32 +0200

Changed in fglrx-installer-updates (Ubuntu Trusty):
status: Fix Committed → Fix Released
ferariu napoleon (darks2810) wrote :

resolved thanxs

Download full text (4.7 KiB)

works OK.
Thanks !

2015-08-19 7:36 GMT-03:00 ferariu napoleon <email address hidden>:

> resolved thanxs
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1484901).
> https://bugs.launchpad.net/bugs/1479913
>
> Title:
> SRU request: fglrx.ko fails because of backported GPL-only
> 'pci_ignore_hotplug' symbol
>
> Status in fglrx-installer package in Ubuntu:
> Fix Released
> Status in fglrx-installer-updates package in Ubuntu:
> Fix Released
> Status in fglrx-installer source package in Trusty:
> Fix Released
> Status in fglrx-installer-updates source package in Trusty:
> Fix Released
> Status in fglrx-installer source package in Vivid:
> Fix Released
> Status in fglrx-installer-updates source package in Vivid:
> Fix Released
>
> Bug description:
> [Impact]
> An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and
> to the default kernel in Vivid, pulled in a commit that made
> pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.
>
> [Test Case]
> Install the new packages and check that DKMS doesn't fail.
>
> [Regression Potential]
> Low, the patches are already included wily.
>
> __________________________________
>
> Have no idea what happened. Contact me if you need additional details.
>
> ProblemType: Package
> DistroRelease: Ubuntu 15.04
> Package: fglrx-core 2:15.200-0ubuntu4.1
> ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
> Uname: Linux 3.19.0-25-generic x86_64
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.17.2-0ubuntu1.2
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> DKMSKernelVersion: 3.19.0-26-generic
> Date: Thu Jul 30 12:05:59 2015
> DistUpgraded: Fresh install
> DistroCodename: vivid
> DistroVariant: ubuntu
> DkmsStatus:
> fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
> vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
> vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
> GraphicsCard:
> Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870]
> [1002:6738] (prog-if 00 [VGA controller])
> Subsystem: Hightech Information System Ltd. Device [1787:2010]
> InstallationDate: Installed on 2012-09-16 (1046 days ago)
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120905.2)
> MachineType: BIOSTAR Group A770E3
> PackageVersion: 2:15.200-0ubuntu4.1
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.19.0-25-generic
> root=/dev/mapper/ubuntu-root ro radeon.nomodeset=1 radeon.dpm=1
> crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
> crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
> RelatedPackageVersions:
> dpkg 1.17.25ubuntu1
> apt 1.0.9.7ubuntu4.1
> SourcePackage: fglrx-installer
> Title: fglrx-core 2:15.200-0ubuntu4.1: fglrx-core kernel module failed
> to build
> UpgradeStatus: No upgrade log present (probably fresh install)
...

Read more...

deliarmin (deliarmin) wrote :

works for me. Thank you!

Resolved

Awesome - thanks all!

igor (mirevich) wrote :

Thank you, now it's ok.

Thak you. Works for me too.

Download full text (4.8 KiB)

Once again, I stand in awe of the Ubuntu Dev Team. Thank you very much!

On Wed, Aug 19, 2015 at 4:40 PM, Francisco Fernandez <
<email address hidden>> wrote:

> Thak you. Works for me too.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1486132).
> https://bugs.launchpad.net/bugs/1479913
>
> Title:
> SRU request: fglrx.ko fails because of backported GPL-only
> 'pci_ignore_hotplug' symbol
>
> Status in fglrx-installer package in Ubuntu:
> Fix Released
> Status in fglrx-installer-updates package in Ubuntu:
> Fix Released
> Status in fglrx-installer source package in Trusty:
> Fix Released
> Status in fglrx-installer-updates source package in Trusty:
> Fix Released
> Status in fglrx-installer source package in Vivid:
> Fix Released
> Status in fglrx-installer-updates source package in Vivid:
> Fix Released
>
> Bug description:
> [Impact]
> An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and
> to the default kernel in Vivid, pulled in a commit that made
> pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.
>
> [Test Case]
> Install the new packages and check that DKMS doesn't fail.
>
> [Regression Potential]
> Low, the patches are already included wily.
>
> __________________________________
>
> Have no idea what happened. Contact me if you need additional details.
>
> ProblemType: Package
> DistroRelease: Ubuntu 15.04
> Package: fglrx-core 2:15.200-0ubuntu4.1
> ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
> Uname: Linux 3.19.0-25-generic x86_64
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.17.2-0ubuntu1.2
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> DKMSKernelVersion: 3.19.0-26-generic
> Date: Thu Jul 30 12:05:59 2015
> DistUpgraded: Fresh install
> DistroCodename: vivid
> DistroVariant: ubuntu
> DkmsStatus:
> fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
> vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
> vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
> GraphicsCard:
> Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870]
> [1002:6738] (prog-if 00 [VGA controller])
> Subsystem: Hightech Information System Ltd. Device [1787:2010]
> InstallationDate: Installed on 2012-09-16 (1046 days ago)
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120905.2)
> MachineType: BIOSTAR Group A770E3
> PackageVersion: 2:15.200-0ubuntu4.1
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.19.0-25-generic
> root=/dev/mapper/ubuntu-root ro radeon.nomodeset=1 radeon.dpm=1
> crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
> crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
> RelatedPackageVersions:
> dpkg 1.17.25ubuntu1
> apt 1.0.9.7ubuntu4.1
> SourcePackage: fglrx-installer
> Title: fglrx-core 2:15.200-0ubuntu4.1: fglrx-core kernel mod...

Read more...

pulpo69 (orjchris) wrote :
Download full text (9.7 KiB)

Thank you, fglrx is now working for me.

Am 20. August 2015 02:04:09 MESZ, schrieb Patrick Carroll <email address hidden>:
>Once again, I stand in awe of the Ubuntu Dev Team. Thank you very much!
>
>On Wed, Aug 19, 2015 at 4:40 PM, Francisco Fernandez <
><email address hidden>> wrote:
>
>> Thak you. Works for me too.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1486132).
>> https://bugs.launchpad.net/bugs/1479913
>>
>> Title:
>> SRU request: fglrx.ko fails because of backported GPL-only
>> 'pci_ignore_hotplug' symbol
>>
>> Status in fglrx-installer package in Ubuntu:
>> Fix Released
>> Status in fglrx-installer-updates package in Ubuntu:
>> Fix Released
>> Status in fglrx-installer source package in Trusty:
>> Fix Released
>> Status in fglrx-installer-updates source package in Trusty:
>> Fix Released
>> Status in fglrx-installer source package in Vivid:
>> Fix Released
>> Status in fglrx-installer-updates source package in Vivid:
>> Fix Released
>>
>> Bug description:
>> [Impact]
>> An update to the lts-vivid backported kernel (3.19.0-26) in Trusty
>and
>> to the default kernel in Vivid, pulled in a commit that made
>> pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.
>>
>> [Test Case]
>> Install the new packages and check that DKMS doesn't fail.
>>
>> [Regression Potential]
>> Low, the patches are already included wily.
>>
>> __________________________________
>>
>> Have no idea what happened. Contact me if you need additional
>details.
>>
>> ProblemType: Package
>> DistroRelease: Ubuntu 15.04
>> Package: fglrx-core 2:15.200-0ubuntu4.1
>> ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
>> Uname: Linux 3.19.0-25-generic x86_64
>> NonfreeKernelModules: fglrx
>> .tmp.unity.support.test.0:
>>
>> ApportVersion: 2.17.2-0ubuntu1.2
>> Architecture: amd64
>> CompizPlugins: No value set for
>> `/apps/compiz-1/general/screen0/options/active_plugins'
>> CompositorRunning: compiz
>> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
>> CompositorUnredirectFSW: true
>> DKMSKernelVersion: 3.19.0-26-generic
>> Date: Thu Jul 30 12:05:59 2015
>> DistUpgraded: Fresh install
>> DistroCodename: vivid
>> DistroVariant: ubuntu
>> DkmsStatus:
>> fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
>> vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
>> vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
>> GraphicsCard:
>> Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870]
>> [1002:6738] (prog-if 00 [VGA controller])
>> Subsystem: Hightech Information System Ltd. Device [1787:2010]
>> InstallationDate: Installed on 2012-09-16 (1046 days ago)
>> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
>> (20120905.2)
>> MachineType: BIOSTAR Group A770E3
>> PackageVersion: 2:15.200-0ubuntu4.1
>> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.19.0-25-generic
>> root=/dev/mapper/ubuntu-root ro radeon.nomodeset=1 radeon.dpm=1
>> crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
>> crashkernel=384M-:128M crashkernel=3...

Read more...

Download full text (4.7 KiB)

OK ubuntu4.2 fix the problem. Thank you.

Il 20 agosto 2015 00:53:40 CEST, igor <email address hidden> ha scritto:
>Thank you, now it's ok.
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (1485889).
>https://bugs.launchpad.net/bugs/1479913
>
>Title:
> SRU request: fglrx.ko fails because of backported GPL-only
> 'pci_ignore_hotplug' symbol
>
>Status in fglrx-installer package in Ubuntu:
> Fix Released
>Status in fglrx-installer-updates package in Ubuntu:
> Fix Released
>Status in fglrx-installer source package in Trusty:
> Fix Released
>Status in fglrx-installer-updates source package in Trusty:
> Fix Released
>Status in fglrx-installer source package in Vivid:
> Fix Released
>Status in fglrx-installer-updates source package in Vivid:
> Fix Released
>
>Bug description:
> [Impact]
>An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and
>to the default kernel in Vivid, pulled in a commit that made
>pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.
>
> [Test Case]
> Install the new packages and check that DKMS doesn't fail.
>
> [Regression Potential]
> Low, the patches are already included wily.
>
> __________________________________
>
> Have no idea what happened. Contact me if you need additional details.
>
> ProblemType: Package
> DistroRelease: Ubuntu 15.04
> Package: fglrx-core 2:15.200-0ubuntu4.1
> ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
> Uname: Linux 3.19.0-25-generic x86_64
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.17.2-0ubuntu1.2
> Architecture: amd64
>CompizPlugins: No value set for
>`/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> DKMSKernelVersion: 3.19.0-26-generic
> Date: Thu Jul 30 12:05:59 2015
> DistUpgraded: Fresh install
> DistroCodename: vivid
> DistroVariant: ubuntu
> DkmsStatus:
>  fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
>  vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
>  vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
> GraphicsCard:
> Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870]
>[1002:6738] (prog-if 00 [VGA controller])
>    Subsystem: Hightech Information System Ltd. Device [1787:2010]
> InstallationDate: Installed on 2012-09-16 (1046 days ago)
>InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
>(20120905.2)
> MachineType: BIOSTAR Group A770E3
> PackageVersion: 2:15.200-0ubuntu4.1
>ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.19.0-25-generic
>root=/dev/mapper/ubuntu-root ro radeon.nomodeset=1 radeon.dpm=1
>crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
>crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
> RelatedPackageVersions:
>  dpkg 1.17.25ubuntu1
>  apt 1.0.9.7ubuntu4.1
> SourcePackage: fglrx-installer
>Title: fglrx-core 2:15.200-0ubuntu4.1: fglrx-core kernel module failed
>to build
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 04/21/2010
> dmi.bios.ven...

Read more...

iceman75 (javier-orejarena) wrote :

Tested, it works!

Thank you very much Ubuntu Dev Team.

Flavio Elawi (flavioelawi) wrote :

i'm on vivid and the problem is still there, fglrx-updates-core 2:15.200-0ubuntu4.2, is it released on the proper channel or is it in proposed?

pulpo69 (orjchris) wrote :
Download full text (4.9 KiB)

Fglrx bug is fixed, fglrx doing fine here. Ubuntu gnome vivid, proper channel. Thanks to the devs.

Am 20. August 2015 15:50:53 MESZ, schrieb Flavio Elawi <email address hidden>:
>i'm on vivid and the problem is still there, fglrx-updates-core
>2:15.200-0ubuntu4.2, is it released on the proper channel or is it in
>proposed?
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (1486520).
>https://bugs.launchpad.net/bugs/1479913
>
>Title:
> SRU request: fglrx.ko fails because of backported GPL-only
> 'pci_ignore_hotplug' symbol
>
>Status in fglrx-installer package in Ubuntu:
> Fix Released
>Status in fglrx-installer-updates package in Ubuntu:
> Fix Released
>Status in fglrx-installer source package in Trusty:
> Fix Released
>Status in fglrx-installer-updates source package in Trusty:
> Fix Released
>Status in fglrx-installer source package in Vivid:
> Fix Released
>Status in fglrx-installer-updates source package in Vivid:
> Fix Released
>
>Bug description:
> [Impact]
>An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and
>to the default kernel in Vivid, pulled in a commit that made
>pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.
>
> [Test Case]
> Install the new packages and check that DKMS doesn't fail.
>
> [Regression Potential]
> Low, the patches are already included wily.
>
> __________________________________
>
> Have no idea what happened. Contact me if you need additional details.
>
> ProblemType: Package
> DistroRelease: Ubuntu 15.04
> Package: fglrx-core 2:15.200-0ubuntu4.1
> ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
> Uname: Linux 3.19.0-25-generic x86_64
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.17.2-0ubuntu1.2
> Architecture: amd64
>CompizPlugins: No value set for
>`/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> DKMSKernelVersion: 3.19.0-26-generic
> Date: Thu Jul 30 12:05:59 2015
> DistUpgraded: Fresh install
> DistroCodename: vivid
> DistroVariant: ubuntu
> DkmsStatus:
>  fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
>  vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
>  vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
> GraphicsCard:
> Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870]
>[1002:6738] (prog-if 00 [VGA controller])
>    Subsystem: Hightech Information System Ltd. Device [1787:2010]
> InstallationDate: Installed on 2012-09-16 (1046 days ago)
>InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
>(20120905.2)
> MachineType: BIOSTAR Group A770E3
> PackageVersion: 2:15.200-0ubuntu4.1
>ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.19.0-25-generic
>root=/dev/mapper/ubuntu-root ro radeon.nomodeset=1 radeon.dpm=1
>crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
>crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
> RelatedPackageVersions:
>  dpkg 1.17.25ubuntu1
>  apt 1.0.9.7ubuntu4.1
> SourcePackage: fglrx-installer
>Title: fg...

Read more...

iceman75 (javier-orejarena) wrote :

This is why I did before the new package was released:

sudo apt-get purge linux-headers-3.19.0-26 linux-headers-3.19.0-26-generic linux-image-3.19.0-26-generic
sudo apt-get install linux-headers-3.19.0-25 linux-headers-3.19.0-25-generic linux-image-3.19.0-25-generic
ls /var/lib/initramfs-tools | sudo xargs -n1 /usr/lib/dkms/dkms_autoinstaller start

Then the updated fglrx comes, applied all updates and everything is working fine. But checking with "uname -ra" shows I'm running 3.19.0-25-generic #26-Ubuntu SMP

Flavio Elawi (flavioelawi) wrote :

my bad! after a couple of tries i got it working again. Thanks!

Zach (tundra35) wrote :

running good over here now. thank you!

Dgorst (dgorst) wrote :
Download full text (4.8 KiB)

Works fine now with 3.19.0-26-lowlatency. Thanks.

On 21 August 2015 at 04:16, Zach <email address hidden> wrote:

> running good over here now. thank you!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1479913
>
> Title:
> SRU request: fglrx.ko fails because of backported GPL-only
> 'pci_ignore_hotplug' symbol
>
> Status in fglrx-installer package in Ubuntu:
> Fix Released
> Status in fglrx-installer-updates package in Ubuntu:
> Fix Released
> Status in fglrx-installer source package in Trusty:
> Fix Released
> Status in fglrx-installer-updates source package in Trusty:
> Fix Released
> Status in fglrx-installer source package in Vivid:
> Fix Released
> Status in fglrx-installer-updates source package in Vivid:
> Fix Released
>
> Bug description:
> [Impact]
> An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and
> to the default kernel in Vivid, pulled in a commit that made
> pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.
>
> [Test Case]
> Install the new packages and check that DKMS doesn't fail.
>
> [Regression Potential]
> Low, the patches are already included wily.
>
> __________________________________
>
> Have no idea what happened. Contact me if you need additional details.
>
> ProblemType: Package
> DistroRelease: Ubuntu 15.04
> Package: fglrx-core 2:15.200-0ubuntu4.1
> ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
> Uname: Linux 3.19.0-25-generic x86_64
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.17.2-0ubuntu1.2
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> DKMSKernelVersion: 3.19.0-26-generic
> Date: Thu Jul 30 12:05:59 2015
> DistUpgraded: Fresh install
> DistroCodename: vivid
> DistroVariant: ubuntu
> DkmsStatus:
> fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
> vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
> vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
> GraphicsCard:
> Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870]
> [1002:6738] (prog-if 00 [VGA controller])
> Subsystem: Hightech Information System Ltd. Device [1787:2010]
> InstallationDate: Installed on 2012-09-16 (1046 days ago)
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120905.2)
> MachineType: BIOSTAR Group A770E3
> PackageVersion: 2:15.200-0ubuntu4.1
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.19.0-25-generic
> root=/dev/mapper/ubuntu-root ro radeon.nomodeset=1 radeon.dpm=1
> crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
> crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M
> RelatedPackageVersions:
> dpkg 1.17.25ubuntu1
> apt 1.0.9.7ubuntu4.1
> SourcePackage: fglrx-installer
> Title: fglrx-core 2:15.200-0ubuntu4.1: fglrx-core kernel module failed
> to build
> UpgradeStatus: No upgrade log pr...

Read more...

after a long way off struggle my system is running again thanks to all giving tips and solutions.

djratliff (david-j-ratliff) wrote :
Download full text (10.2 KiB)

Wow! Just wow!

I want to say thank you to everyone for the quick resolution. I have never
had this type of support; not even something I have payed tens of thousands
of dollars in support for a year. This was really outstanding work. I was
able to do the update last night and had no issues.

When the honeymoon for Windows 10 is over, I'd wish Canonical would promote
the fast and competent support that Ubuntu has. Nothing in the Microsoft
arsenal can compare to this.

All of you are top-tier.

Thank you.

On Thu, Aug 20, 2015 at 2:46 PM, Dgorst <email address hidden> wrote:

> Works fine now with 3.19.0-26-lowlatency. Thanks.
>
> On 21 August 2015 at 04:16, Zach <email address hidden> wrote:
>
> > running good over here now. thank you!
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1479913
> >
> > Title:
> > SRU request: fglrx.ko fails because of backported GPL-only
> > 'pci_ignore_hotplug' symbol
> >
> > Status in fglrx-installer package in Ubuntu:
> > Fix Released
> > Status in fglrx-installer-updates package in Ubuntu:
> > Fix Released
> > Status in fglrx-installer source package in Trusty:
> > Fix Released
> > Status in fglrx-installer-updates source package in Trusty:
> > Fix Released
> > Status in fglrx-installer source package in Vivid:
> > Fix Released
> > Status in fglrx-installer-updates source package in Vivid:
> > Fix Released
> >
> > Bug description:
> > [Impact]
> > An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and
> > to the default kernel in Vivid, pulled in a commit that made
> > pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.
> >
> > [Test Case]
> > Install the new packages and check that DKMS doesn't fail.
> >
> > [Regression Potential]
> > Low, the patches are already included wily.
> >
> > __________________________________
> >
> > Have no idea what happened. Contact me if you need additional details.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 15.04
> > Package: fglrx-core 2:15.200-0ubuntu4.1
> > ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
> > Uname: Linux 3.19.0-25-generic x86_64
> > NonfreeKernelModules: fglrx
> > .tmp.unity.support.test.0:
> >
> > ApportVersion: 2.17.2-0ubuntu1.2
> > Architecture: amd64
> > CompizPlugins: No value set for
> > `/apps/compiz-1/general/screen0/options/active_plugins'
> > CompositorRunning: compiz
> > CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> > CompositorUnredirectFSW: true
> > DKMSKernelVersion: 3.19.0-26-generic
> > Date: Thu Jul 30 12:05:59 2015
> > DistUpgraded: Fresh install
> > DistroCodename: vivid
> > DistroVariant: ubuntu
> > DkmsStatus:
> > fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
> > vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
> > vboxhost, 4.3.30, 3.19.0-26-generic, x86_64: installed
> > GraphicsCard:
> > Advanced Micro Devices, Inc. [AMD/ATI] Barts XT [Radeon HD 6870]
> > [1002:6738] (prog-if 00 [VGA controller])
> > Subsystem: Hightech Information System Ltd. Device [1787:...

Nicolas Delvaux (malizor) wrote :

I don't understand why everyone thanks Canonical here.
I mean, they messed up the SRU kernel process and broke a big number of stable desktops in the wild (including some LTS users).
An now everyone is saying everything is great &all now that an update was pushed?

But did you think of those casual users that are now stuck on a black screen or on a login loop and won't be able to upgrade their computer without an external help?
Come on, I can't be the only one to think what happened is very serious for a distribution targeted at everyone.

No, what would seem professional to me now would be the publication of a post-mortem on this issue, detailing actions and changes to existing processes in order to make sure this kind of situation won't happen again in the future.
Then it would restore some faith that Ubuntu can be safely used by "human beings" and not just geeks.

pulpo69 (orjchris) wrote :
Download full text (5.7 KiB)

I'm sharing your opinion, for inexperienced users it's a disaster and bad for the reputation of Linux.
But I also thank the devs providing a fix in relatively short time.

Am 21. August 2015 16:34:16 MESZ, schrieb Nicolas Delvaux <email address hidden>:
>I don't understand why everyone thanks Canonical here.
>I mean, they messed up the SRU kernel process and broke a big number of
>stable desktops in the wild (including some LTS users).
>An now everyone is saying everything is great &all now that an update
>was pushed?
>
>But did you think of those casual users that are now stuck on a black
>screen or on a login loop and won't be able to upgrade their computer
>without an external help?
>Come on, I can't be the only one to think what happened is very serious
>for a distribution targeted at everyone.
>
>No, what would seem professional to me now would be the publication of
>a post-mortem on this issue, detailing actions and changes to existing
>processes in order to make sure this kind of situation won't happen
>again in the future.
>Then it would restore some faith that Ubuntu can be safely used by
>"human beings" and not just geeks.
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (1486520).
>https://bugs.launchpad.net/bugs/1479913
>
>Title:
> SRU request: fglrx.ko fails because of backported GPL-only
> 'pci_ignore_hotplug' symbol
>
>Status in fglrx-installer package in Ubuntu:
> Fix Released
>Status in fglrx-installer-updates package in Ubuntu:
> Fix Released
>Status in fglrx-installer source package in Trusty:
> Fix Released
>Status in fglrx-installer-updates source package in Trusty:
> Fix Released
>Status in fglrx-installer source package in Vivid:
> Fix Released
>Status in fglrx-installer-updates source package in Vivid:
> Fix Released
>
>Bug description:
> [Impact]
>An update to the lts-vivid backported kernel (3.19.0-26) in Trusty and
>to the default kernel in Vivid, pulled in a commit that made
>pci_ignore_hotplug() GPL only. As a result, the DKMS module fails.
>
> [Test Case]
> Install the new packages and check that DKMS doesn't fail.
>
> [Regression Potential]
> Low, the patches are already included wily.
>
> __________________________________
>
> Have no idea what happened. Contact me if you need additional details.
>
> ProblemType: Package
> DistroRelease: Ubuntu 15.04
> Package: fglrx-core 2:15.200-0ubuntu4.1
> ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
> Uname: Linux 3.19.0-25-generic x86_64
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.17.2-0ubuntu1.2
> Architecture: amd64
>CompizPlugins: No value set for
>`/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> DKMSKernelVersion: 3.19.0-26-generic
> Date: Thu Jul 30 12:05:59 2015
> DistUpgraded: Fresh install
> DistroCodename: vivid
> DistroVariant: ubuntu
> DkmsStatus:
>  fglrx-core, 15.200, 3.19.0-25-generic, x86_64: installed
>  vboxhost, 4.3.30, 3.19.0-25-generic, x86_64: installed
>  vboxhost, 4.3.30, 3.19...

Read more...

QIII (qiii) wrote :

The thanks are to the individuals handling the bug and arriving at a solution. Alberto Milone, for instance, has been in on a couple of bugs I've reported/followed.

Bugs happen. It's a fact of life. They get reported and they get fixed (hopefully).

From a systemic viewpoint, however, this case is an especially troubling problem. The issue was identified in -proposed and not resolved. Despite that, the offeding package(s) was promoted to main. For that there is no excuse.

But that is a systemic issue for Canonical to address at a higher level. The folks here who responded to fix the issue do deserve credit for their work.

djratliff (david-j-ratliff) wrote :
Download full text (11.8 KiB)

Yes. I can understand what you are saying. I am looking at the overall
effort here. Yes, it probably should have been tested better or reviewed
or whatever. And I have been in those situations where I have cursed
linux. The average user is going to have serious problems and wonder why
did they think they could use linux instead of Windows. Let's face it,
Windows is pretty idiot proof.

I am looking at the positive here: The dev community rallied and pushed
out an update fast. Clearly there is now a triage period for people that
are now debating installing Windows again.

I looked at the membership and it only really allows people that have had 6
months of contributions. I apologize but I have a career, family and other
engagements. I just physically don't have time to contribute and I
question what I could contribute. Good coding takes time. But I could
test or log into the test system and run what I run. You need multiple
people from all disciplines to contribute to a UAT/QA environment.

I guess I won't thank Canonical, but I sincerely want to thank the devs
that fixed this problem.

On Fri, Aug 21, 2015 at 9:48 AM, pulpo69 <email address hidden> wrote:

> I'm sharing your opinion, for inexperienced users it's a disaster and bad
> for the reputation of Linux.
> But I also thank the devs providing a fix in relatively short time.
>
> Am 21. August 2015 16:34:16 MESZ, schrieb Nicolas Delvaux <
> <email address hidden>>:
> >I don't understand why everyone thanks Canonical here.
> >I mean, they messed up the SRU kernel process and broke a big number of
> >stable desktops in the wild (including some LTS users).
> >An now everyone is saying everything is great &all now that an update
> >was pushed?
> >
> >But did you think of those casual users that are now stuck on a black
> >screen or on a login loop and won't be able to upgrade their computer
> >without an external help?
> >Come on, I can't be the only one to think what happened is very serious
> >for a distribution targeted at everyone.
> >
> >No, what would seem professional to me now would be the publication of
> >a post-mortem on this issue, detailing actions and changes to existing
> >processes in order to make sure this kind of situation won't happen
> >again in the future.
> >Then it would restore some faith that Ubuntu can be safely used by
> >"human beings" and not just geeks.
> >
> >--
> >You received this bug notification because you are subscribed to a
> >duplicate bug report (1486520).
> >https://bugs.launchpad.net/bugs/1479913
> >
> >Title:
> > SRU request: fglrx.ko fails because of backported GPL-only
> > 'pci_ignore_hotplug' symbol
> >
> >Status in fglrx-installer package in Ubuntu:
> > Fix Released
> >Status in fglrx-installer-updates package in Ubuntu:
> > Fix Released
> >Status in fglrx-installer source package in Trusty:
> > Fix Released
> >Status in fglrx-installer-updates source package in Trusty:
> > Fix Released
> >Status in fglrx-installer source package in Vivid:
> > Fix Released
> >Status in fglrx-installer-updates source package in Vivid:
> > Fix Released
> >
> >Bug description:
> > [Impact]
> >An update to the lts-vivid backported kernel (3...

You are totaly right.
My system is running again but I am not sure what happens wenn the new
updat (upgrade) is comming.
So far so good I can use my PC and I say thanks to all off them who
helped me and the other ones.
Marius

Op 21-08-15 om 17:11 schreef QIII:
> The thanks are to the individuals handling the bug and arriving at a
> solution. Alberto Milone, for instance, has been in on a couple of bugs
> I've reported/followed.
>
> Bugs happen. It's a fact of life. They get reported and they get fixed
> (hopefully).
>
> >From a systemic viewpoint, however, this case is an especially troubling
> problem. The issue was identified in -proposed and not resolved.
> Despite that, the offeding package(s) was promoted to main. For that
> there is no excuse.
>
> But that is a systemic issue for Canonical to address at a higher level.
> The folks here who responded to fix the issue do deserve credit for
> their work.
>

Nicolas Delvaux (malizor) wrote :

I agree with you all and don't wanted to be mean with Alberto or whoever else.

I really don't care of who is guilty (if there is ever such a "who"), but what concerns me is that from the outside there have been no sign from Canonical, the kernel team or whatever to at least acknowledge that what happened here was a serious problem.

Perhaps these discussions are happening internally, but meanwhile the community is left in the dark, wondering if the right people are at least aware of this.

Changed in hwe-next:
status: New → Fix Released
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
Rich.T. (rich.t.) wrote :

This bug has caused a situation whereby I will probably have to reinstall Ubuntu in order to get the up-to date kernel running on my hardware.

See comments 38, 42, 51 and 53 for details.

I filed another bug report to describe my particular situation:

https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1486673

This new bug report has not been dealt with, but I have marked it as fixed, as it seems to be a vanishingly rare occurrence (only one other user reported anything similar) and the root cause has been dealt with here.

I include this information here however, for the record.

Thanks,
Rich

Dan Gaston (daniel-gaston) wrote :

I still seem to be having issues here. Did a fresh install of 14.04.3, allowed updates during the install. Kernel is 3.19.0-26-generic and I have fglrx 2:15.200-0ubuntu0.5. Still get flickering and erratic video behaviour when I use chrome. Doesn't seem to do it when I open the dash or am using firefox at full resolution, just chrome.

my system is running since i reinstalled some parts that i found in
synaptic after receiving an error message.
so now you can stop sending me the email messages about those bugs.

Thanks for helping me

Marius en Lia van Harten
Bergstrasse 17
49774 Vinnen
Duitsland
Tel.: 0049 (0)5432 9058786
Email:
<email address hidden> (tbv genealogie)
<email address hidden>

Op 28-08-15 om 11:41 schreef Dan Gaston:
> I still seem to be having issues here. Did a fresh install of 14.04.3,
> allowed updates during the install. Kernel is 3.19.0-26-generic and I
> have fglrx 2:15.200-0ubuntu0.5. Still get flickering and erratic video
> behaviour when I use chrome. Doesn't seem to do it when I open the dash
> or am using firefox at full resolution, just chrome.
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers